org.ajax4jsf.taglib.html.jsp

## Class AjaxPageTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.taglib.html.jsp.AjaxRegionTag
            - - org.ajax4jsf.taglib.html.jsp.AjaxPageTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class AjaxPageTag
      extends AjaxRegionTag

  Author:
    shura Other variant of AJAX View - render full html page with root
    , ( filled from "head" facet ) and
    areas.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxPageTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.el.ValueExpression` | `getOnload()`
    `javax.el.ValueExpression` | `getOnunload()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setOnload(javax.el.ValueExpression onload)`
    `void` | `setOnunload(javax.el.ValueExpression onunload)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.ajax4jsf.taglib.html.jsp.AjaxRegionTag

      `getComponentType, setAjaxListener, setImmediate, setJavascriptLocation, setReRender, setSelfRendered`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### AjaxPageTag

          public AjaxPageTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `AjaxRegionTag`

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `AjaxRegionTag`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `AjaxRegionTag`

    - #### getOnload

          public javax.el.ValueExpression getOnload()

      Returns:
        Returns the onload.

    - #### getOnunload

          public javax.el.ValueExpression getOnunload()

      Returns:
        Returns the onunload.

    - #### setOnload

          public void setOnload(javax.el.ValueExpression onload)

      Parameters:
        `onload` - The onload to set.

    - #### setOnunload

          public void setOnunload(javax.el.ValueExpression onunload)

      Parameters:
        `onunload` - The onunload to set.

Copyright © 2014. All Rights Reserved.